@echo off
if x%1 == xall goto makAll
if x%1 == xALL goto makAll
if x%1 == xAll goto makAll

set __MODEL=%1
if x%__MODEL% == x set __MODEL=%MODEL%
if x%__MODEL% == x goto errM

set ERRLIST=
if exist errlist set ERRLIST=Yes

rm -sfl=1 1dyn_src *.obj compile.xll compile.xcc errlist

call mkdynsrc.bat

type dyn_src >compile.xcc
type compile.ccc >>compile.xcc
type bc_compile.ccc >>compile.xcc

type dyn_obj >compile.xll
type compile.lll >>compile.xll
type bc_compile.lll >>compile.xll

if x%ERRLIST% == x BCC.EXE +BccDos.Cfg -m%__MODEL% -DNDEBUG=1 -O2 -O -Ol -Z -Obeimpv -RT- -c @compile.xcc
if not x%ERRLIST% == x BCC.EXE +BccDos.Cfg -m%__MODEL% -DNDEBUG=1 -O2 -O -Ol -Z -Obeimpv -RT- -c @compile.xcc >errlist

if errorlevel 1 goto ende
LIB.exe suppl_%__MODEL%.lib /SCW +- @compile.xll, suppl_%__MODEL%.lst
rm -sfl=1 1dyn_src *.obj compile.xll compile.xcc
goto ende

:makAll
for %%a in (t s m c l h) do call %0 %%a
goto ende

:errM
echo Script to compile the supplemental library with Borland C
echo Useage: %0 memory_model
echo -or- define the environment variable MODEL with the memory_model
echo -or- call	%0 all
echo to create the libraries for all memory models

:ende
set __MODEL=
set ERRLIST=
